1. Documents
The new eTaxGo
Etaxgo V2 Partner API
  • Default module
  • Etaxgo V2 Partner API
  • Authentication
    • Get access token (OAuth 2.0 Client Credentials)
      POST
  • Documents
    • Create tax document
      POST
    • Get document detail and status
      GET
    • Download signed PDF
      GET
    • List / search documents
      POST
  • Schemas
    • TokenRequest
    • TokenResponse
    • BuyerAddress
    • DocumentLineItem
    • CreateDocumentRequest
    • CreateDocumentResponse
    • DocumentSearchRequest
    • DocumentSearchResponse
    • ErrorResponse
  1. Documents

Get document detail and status

GET
/api/v1/core/documents/{id}/detail
Returns the full document including current processing status, line items,
and links to any related documents (Credit Note, Debit Note, Cancellation).
Use this to poll after POST /documents/jobs until status is Completed or Error.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Document detail
Bodyapplication/json

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/core/documents//detail' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
        "documentNo": "string",
        "documentType": "string",
        "status": "Completed",
        "issueDate": "2019-08-24",
        "buyer": {},
        "grandTotal": 0,
        "vatTotal": 0
    }
}
Modified at 2026-06-15 12:21:00
Previous
Create tax document
Next
Download signed PDF
Built with